Subject: Re: bug#30477: [PATCH] chmod chown chgrp: added --exclude-files and --exclude-directories

From: Ian Morris Nieves <[email-masked]>
Date: Sat, 17 Feb 2018 17:55:48 -0500

Hi Pádraig,  Thanks for following along and writing.

The reasoning is similar.  They are missing the files only counterpart.
-F and -D would be good short forms.  I left those out because I envisioned bringing similar functionality (with same invocation) to cp and ls.
Unfortunately ls already has -D and -F, and the use case for ls was not clear to me.  But if there is a good case for ls having this functionality, then perhaps -F and -D are not ideal.

Apologies, I didn’t know about the discussion.  I was itching to take a deep dive into Linux commands as a break from a way too deep dive into Docker containers.

Cheers,
ian

> On Feb 17, 2018, at 4:30 PM, Pádraig Brady <[email-masked]> wrote:
> 
> On 15/02/18 16:44, Ian Morris Nieves wrote:
>> Hello all,
>> 
>> Apologies if I have incorrectly followed any conventions.  I’ve tried.
>> Attached please find a new feature I created to simplify setting permissions (especially recursively), which enables the user to separately target files or directories.
>> Tests of correctness also included.
>> 
>> Any input or feedback greatly appreciated.
> 
> Such functionality has been discussed previously at:
> https://www.gnu.org/software/coreutils/rejected_requests.html#chmod
> 
> thanks,
> Pádraig